#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
int main()
{
long long int m, n;
cin>>n>>m;
long long int druzeljubivost[n];
long long int volese[m][2];
long long int i=0;
for(i=0;i<n;i++)
{
    cin>>druzeljubivost[i];
}
long long int k=0;
for(i=0;i<m;i++)
{
  for(k=0;k<2;k++)
  {
   cin>>volese[i][k];
  }
}
long long int brojac[n];
i=0;
k=0;
long long int j=0, p=1;
long long int najveci;
long long int z=0;
long long int tv1, tv2, v1, v2;
long long int najmanji;
for(i=0;i<m;i++)
{
 tv1=volese[i][0];
 tv2=volese[i][1];
 p=druzeljubivost[tv1-1]*druzeljubivost[tv2-1];
 v1=abs(druzeljubivost[tv1-1]);
 v2=abs(druzeljubivost[tv2-1]);
 najveci=max(v1, v2);
 najmanji=min(v1, v2);
    if(p>=0)
      {
        z=z+v1+v2;
      } 
    else
    {
        z=z+najveci-najmanji;
    }
}

cout<<z;

}